package com.bassbooster.soundeffects.equalizer.utils

import android.content.Context
import android.os.Bundle
import android.util.Log
import android.view.View
import android.view.inputmethod.InputMethodManager
import com.bassbooster.soundeffects.equalizer.database.EffectsData
import com.bassbooster.soundeffects.equalizer.database.EffectsRepository

object Utils {
    suspend fun insertDateEffects(effectsRepository: EffectsRepository){
        val newEffects = EffectsData()
        newEffects.seekbar0 = 987
        newEffects.seekbar1 = 0
        newEffects.seekbar2 = 0
        newEffects.seekbar3 = 0
        newEffects.seekbar4 = 0
        newEffects.bassStrength = 0
        newEffects.reverbPreset = 2
        effectsRepository.insert(newEffects)
    }

    fun hideKeyboard(view: View, context: Context) {
        val inputMethodManager = context.getSystemService(Context.INPUT_METHOD_SERVICE) as InputMethodManager
        inputMethodManager.hideSoftInputFromWindow(view.windowToken, 0)
    }

    fun hideAdsResume(){

    }
}